Package net.shibboleth.shared.spring.config

# Class StringToIPRangeConverter

java.lang.Object
net.shibboleth.shared.spring.config.StringToIPRangeConverter

All Implemented Interfaces:
  `Converter<String,IPRange>`

public class StringToIPRangeConverter extends Object implements Converter<String,IPRange>
Allows setting of `IPRange` properties using a CIDR string.

## Constructor Summary

Constructors
Constructor
Description
`StringToIPRangeConverter()`

## Method Summary

Modifier and Type
Method
Description
`IPRange`
`convert(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

## Constructor Details

### StringToIPRangeConverter

public StringToIPRangeConverter()

## Method Details

### convert

public IPRange convert(@Nonnull String source)

Specified by:
  `convert` in interface `Converter<String,IPRange>`